Bug 659462 (CVE-2010-4180) - CVE-2010-4180 openssl: NETSCAPE_REUSE_CIPHER_CHANGE_BUG ciphersuite downgrade attack
Summary: CVE-2010-4180 openssl: NETSCAPE_REUSE_CIPHER_CHANGE_BUG ciphersuite downgrade...
Status: CLOSED ERRATA
Alias: CVE-2010-4180
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://openssl.org/news/secadv_201012...
Whiteboard: impact=moderate,source=openssl,report...
Keywords: Security
Depends On: 659763 659764 659765 659766 659771 659775 1127896
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-02 20:41 UTC by Tomas Hoger
Modified: 2014-08-07 19:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 06:03:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0977 normal SHIPPED_LIVE Moderate: openssl security update 2010-12-13 18:14:58 UTC
Red Hat Product Errata RHSA-2010:0978 normal SHIPPED_LIVE Moderate: openssl security update 2010-12-13 18:35:43 UTC
Red Hat Product Errata RHSA-2010:0979 normal SHIPPED_LIVE Moderate: openssl security update 2010-12-13 18:41:05 UTC
Red Hat Product Errata RHSA-2011:0896 normal SHIPPED_LIVE Moderate: JBoss Enterprise Web Server 1.0.2 update 2011-06-22 23:16:28 UTC

Description Tomas Hoger 2010-12-02 20:41:42 UTC
Quoting OpenSSL security advisory:

  http://openssl.org/news/secadv_20101202.txt

  A flaw has been found in the OpenSSL SSL/TLS server code where an old bug
  workaround allows malicous clients to modify the stored session cache
  ciphersuite. In some cases the ciphersuite can be downgraded to a weaker one
  on subsequent connections.

Problem affects SSL/TLS server that enable workaround for old Netscape server SSL implementation bug - SSL_OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG.  An attacker able to sniff session identifier (sent in plain during the SSL handshake) could use this flaw to force change of the cipher suite in stored session.  Client, that later resumes that session, may start using different (weaker) cipher suite chosen by attacker.

OpenSSL upstream version enable SSL_OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG when SSL_OP_ALL option is set (it's common to set this option in applications using OpenSSL).  However, OpenSSL versions in Red Hat Enterprise Linux 5 and 6 have SSL_OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG excluded from SSL_OP_ALL (the change was done in response to bug #175779).  Applications can enable Netscape bug workaround on those versions explicitly.

OpenSSL versions prior to 0.9.8j allowed attacker to change stored session cipher quite to arbitrary cipher suite supported by OpenSSL.  Version 0.9.8j corrected this issue to only allow changing cipher suite to those server is configured to use:
  http://cvs.openssl.org/chngview?cn=17489

In both cases, client must accept cipher suite change on resume for the downgrade attack to succeed.

Issue was addressed upstream in 0.9.8q and 1.0.0c by completely disabling this obsolete bug workaround:
  http://cvs.openssl.org/chngview?cn=20131

Comment 5 errata-xmlrpc 2010-12-13 18:15:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0977 https://rhn.redhat.com/errata/RHSA-2010-0977.html

Comment 6 errata-xmlrpc 2010-12-13 18:35:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0978 https://rhn.redhat.com/errata/RHSA-2010-0978.html

Comment 7 errata-xmlrpc 2010-12-13 18:41:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0979 https://rhn.redhat.com/errata/RHSA-2010-0979.html

Comment 10 errata-xmlrpc 2011-06-22 23:16:52 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 1.0

Via RHSA-2011:0896 https://rhn.redhat.com/errata/RHSA-2011-0896.html


Note You need to log in before you can comment on or make changes to this bug.